@import url('https://fonts.googleapis.com/css2?family=Archivo+Black&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

:root {
    /*Cores*/
    --cor-primaria: #edefef;
    --cor-secundaria: #47524D;
    --cor-terciária: #828A79;
    --cor-texto: #363639;
    --cor-legenda: #7A7A7A;
    --cor-realce: #58a2b6;
    /*tipografia*/
    --tipografia-primaria: "Archivo Black", sans-serif;
    --tipografia-secondaria: "Lato", sans-serif;
    --tipografia-secondaria-font-weight: 400;
    --tipografia-texto: "Montserrat", sans-serif;
    ;
    --tipografia-texto-font-weight: 400;
    --tipografia-legenda: "Open Sans";
    --tipografia-legenda-font-weight: 500;
    --transicao-pagina-animacao-duarcao: 1500ms;

}

@keyframes entradaSuave {
    0% {
        opacity: 0;
        transform: translateX(12px);
    }

    100% {
        opacity: 1;
        transform: translateX(0);
    }
    
    
}

body {
    background-color: var(--cor-primaria);
    font-size: 1rem;
    line-height: 1.5;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin-block-end: 1rem;
    margin-block-start: .5rem;
    font-family: var(--tipografia-primaria);
    color: var(--cor-secundaria);
}

h2 {
    font-size: clamp(1.2rem, 4vw, 1.4rem);
    text-align: left;
    text-transform:uppercase;
}

h3 {
    font-size: 1.2rem;
}

p {
    margin-bottom: 12px;
}
/*responsividade*/
@media (max-width: 768px){
    @keyframes entradaSuave{
        0% {
            transform: translateX(0px);
            transform: translateY(12px);
        }
        100% {
            transform: translateY(0);
        }
    }
/*mobile*/
    .inicio{
        display: flex;
        align-items: flex-end;
        justify-content: space-evenly;
        flex-direction: column;
        padding-right: 12px;
        animation: entradaSuave 4s ease-out forwards;
    }

.inicio {
    width: 100vw;
    height: 100vh;
    background: url('/assets/bg.webp');
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    flex-direction: column;
    padding-right: 12px;
    animation: entradaSuave 4s ease-out forwards;
}
    .menu{
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        width: 100vw;
        justify-content: space-between;
        row-gap: 20px;
        padding-right: 16px;
    }
    .ancora{
        font-size: 1.6rem;
    }

    .obras{
        grid-template-columns: repeat(3, 1fr);
        width: 95%;
        gap: 4px;
    }
    .navegar{
        grid-template-columns: repeat(3, 1fr);
        width: 95%;
        gap: 4px;
    }

    .conteudo{
        width: 100%;
    }
    
    .nav_itens.artista{
        display: none;
    }
    
    .header_nav button{
        display: block;
    }

    nav#menu_artista > .nav_itens{
    text-align: right;
    padding-right: 40px;
    font-size: 2rem;
}
.sociais{
        padding-right: 40px;
}
.icone_link{
    width: 80px;
    height: 80px;
    padding-right: 16px;
}
    .galeria_obra{
        width: 100%;
    }


    .background{
        max-width: 100%;
        opacity: 20%;
    }

    .bloco_contato{
        z-index: 1;
        max-width: 100%;
        height: 100vh;
        position: fixed;
    }

    .contato_info{
        height: 100%;
        justify-content: space-evenly;
    }
.titulo{
    text-align: center;
    width: 90%;
}
    .header_s h1{
        display: none;
    }

    .conteudo h1{
        display: block;
    }

.legenda_obra{
    color: var(--cor-legenda);
    font: var(--tipografia-legenda);
    text-align: left;
    min-width: 100%;
    font-size: 0.8rem;
    line-height: 1;
    display: flex;
    flex-direction: column;
    padding: 12px;
}
    .texto{
        width: 84%;
    }
}

@media (max-width: 480px){
    .obras {
        grid-template-columns: repeat(1, 1fr);
        gap:12px;
    }
    .obra_card {
        width: 100%;
        height: 100%;
        line-height: 0px;
    }
    .titulo_obra {
    position: absolute;
    color: var(--cor-secundaria);
    font-family: var(--tipografia-secondaria);
    font-size: 1rem;
    font-weight: bold;
}
    nav#menu_artista {
        height: 0;
        width: 100vw;
    }
    nav#menu_artista.ativa {
        height: 100vh;
    }
.thumb_obra {
    height: 320px;
}
    .nav_miniaturas {
        width: 100%;
    }
    .item {
        max-width: 18%;
    }
    
.relacionados {
 grid-template-columns: 1fr ;
}

.relacionados>.ancora_texto {
    opacity: 60%;
    width 100%
}

.nav_itens {
    font-size: 0.8rem;
}
.lista_ancoras{
    width: 90%;
    gap:1rem;
}
.bt_esquerda, .bt_direita {
    font-size: 10px;
}
    .contato_info{
    justify-content: center;
}
 .contato_artista, .contato_galeria{
 height: 20%;   
}

.navega_menu {
    gap: 2rem;
    justify-content: space-between;
}

.navega_menu > .nav_itens {
    text-align: right;
    padding-right: 30px;
    font-size: 1.6rem;
}
.sociais {
        padding-right: 30px;
    }
}


.titulo {
    font-family: var(--tipografia-primaria);
    font-size: clamp(1.6rem, 3vw, 1.8rem);
    font-weight: 700;
    text-align: center;
    overflow-wrap: break-word;
    word-wrap: break-word;
    text-transform: uppercase;
    color: var(--cor-secundaria);
    max-width: 100%;
}

.conteudo h1 {
    display: none;
}

.titulo_texto {
    font-size: 1.5rem;
    width: 90%;
    text-align: center;
    margin-bottom: 1rem;
    text-transform: none;
}

h1.titulo_erro{
 font-size: 8rem;
 display: block;
}

.texto {
    font-family: var(--tipografia-texto);
    color: var(--cor-texto);
    text-align: left;
    font-weight: var(--tipografia-texto-font-weight);
    padding-bottom: 16px;
    padding-top: 16px;
    margin-bottom: 28px;
    width: 84%;
}

.video {
    width: 100%;
}
.autoria-texto{
    font-weight: bold;
    color: var(--cor-secundaria);
}
.texto p {
    margin-bottom: 1.8rem;
}

.obra_info {
    font-family: var(--tipografia-texto);
    color: var(--cor-texto);
    text-align: justify;
    font-weight: var(--tipografia-texto-font-weight);
    padding-bottom: 16px;
    padding-top: 16px;
    margin-bottom: 28px;
    width: 100%;
}

.obra_info p {
    margin-bottom: 1rem;
}


.lista_ancoras {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    padding-bottom: 24px;
}

.ancora_texto {
    color: var(--cor-secundaria);
    font-family: var(--tipografia-secondaria);
    font-size: 0.99rem;
    text-align: left;
    padding: 4px;
}

.relacionados {
    width: 84%;
    opacity: 100%;
    padding-top: 1%;
    display: grid;
    grid-template-columns: 1fr 1fr ;
}
.relacionados:has(>div:only-child){
 grid-template-columns: 1fr ;
}

.relacionados>.ancora_texto {
    opacity: 60%;
    padding-right: 24px;
    overflow-wrap: break-word;
    word-break: break-word;   
}



.relacionados_textos{
}

::-webkit-scrollbar {
    width: 4px;
    display: none;
}

::-webkit-scrollbar-thumb {
    background-color: var(--cor-realce);
    border-radius: 100px;
    height: 10px;
}

::-webkit-scrollbar-track {
    background-color: var(--cor-secundaria);
}


.interface {
    min-height: 100vh;
}

section {

    top: 0;
    left: 0;
}

.visible {
    opacity: 1;
    visibility: visible;
    height: 0%;
    top: 0;
}

.hidden {
    opacity: 0;
    visibility: hidden;
    height: 0%;
}

.inicio {
    width: 100vw;
    height: 100vh;
    background: url('/assets/bg.webp');
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    flex-direction: column;
    padding-right: 12px;
    animation: entradaSuave 4s ease-out forwards;
}

.logo_index {
    min-width: 100vw;
    height: 100%;
}

.menu {
    display: flex;
    flex-direction: row;
    width: 84vw;
    justify-content: space-around;
    padding-right: 16px;
}


button {
    font-family: var(--tipografia-secondaria);
    font-size: 1.4rem;
    font-weight: bold;
    text-decoration: none;
    color: var(--cor-primaria);
    padding: 8px;
    border: none;
    background: none;
    cursor: pointer;
}

a {
    text-decoration: none;
    font-size: 1.4rem;
    font-weight: bold;
    text-decoration: none;
    color: var(--cor-primaria);
    border: none;
}

ul {
    list-style-type: none;
    line-height: 2;
    margin-bottom: 16px;
}

header {
    width: 100vw;
}



.header_principal {
    background-color: var(--cor-primaria);
}


.header_s, .header_nav {
    background-color: var(--cor-primaria);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding-right: 4px;
}

.header_s button, .header_nav button {
    font-family: var(--tipografia-primaria);
    color: var(--cor-terciária);
    font-size: 1rem;
    text-align: center;
    text-transform: uppercase;
    padding-right: 30px;
    flex-wrap: nowrap;
    white-space: nowrap;
}


.header_nav button{
    display:none;
}

footer{
    position: sticky;
    align-items: center;
    width: 100%;
}

.copy{
  font-family: var(--tipografia-texto);
    color: var(--cor-texto);
    text-align: center;
    font-weight: var(--tipografia-texto-font-weight);
    padding-bottom: 16px;
    padding-top: 16px;
    margin-bottom: 28px;
}

.logo_site {
    height: 45px;
    max-width: 160px;
    padding-top: 6px;
}

.inicio_conteudo {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    animation: entradaSuave 2s ease-out;
      scroll-margin-top: 100px; 

}

.conteudo {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    animation: entradaSuave 4s ease-out forwards;
    padding-bottom: 4%;
}


#menu_artista {
    height: 100vh;
    width: 0vw;
    background-color: var(--cor-primaria);
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: fixed;
    bottom: 0;
    right: 0;
    z-index: 1000;
    transition: 0.6s;
    visibility: hidden;
    overflow-y: hidden;
}


#menu_artista>a>img.logo_site{
    position: absolute;
    top: 6px;
    left: 6px;
}
.navega_menu{
    display:flex;
    flex-direction: column;
    justify-content: center;
}

.navega_menu > .nav_itens {
    text-align: right;
    padding-right: 60px;
    font-size: 1.6rem;
}



nav#menu_artista.ativa {
    width: 100vw;
    visibility: visible;
    overflow-y: auto;
    animation: entradaSuave 2s ease-out forwards;

}


.bt_fechar {
    background-color: transparent;
    border: none;
    font-size: 2.5rem;
    font-weight: bold;
    color: var(--cor-terciária);
    cursor: pointer;
    position: absolute;
    top: 12px;
    right: 12px;
    z-index: 1000;
}



.sociais {
    display: flex;
    justify-content: right;
    padding-right: 60px;
}
.sociais> a{
    display: flex;
    padding: 0px;
}

.icone_link {
    width: 60px;
    height: 60px;
}



.navegar {
    width: 90%;
    padding: 12px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-auto-flow: row;
}


.obras {
    width: 90%;
    justify-items: center;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-auto-flow: row;
    animation: entradaSuave 2s ease-out forwards;
    gap: 4px;
}


.nav_itens {
    font-family: var(--tipografia-primaria);
    color: var(--cor-terciária);
    font-size: 1rem;
    text-align: center;
    text-transform: uppercase;
    border-bottom: groove 4px transparent;
    padding: 6px;
}

.nav_itens.categoria, .nav_itens.artista {
    opacity: 40%;
}






.nav_itens.ativa{
    color: var(--cor-realce);
    opacity: 100%;
    transform: scale(120%);

}
.obra_card{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    animation: entradaSuave 2s ease-out;
    position: relative;
    width: 230px;
    height: 190px;
    line-height: 200px;
    text-align: center;
    overflow: hidden
}


.thumb_obra{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.titulo_obra{
    position: absolute;
    color: var(--cor-secondaria);
    font-family: var(--tipografia-secondaria);
    font-size: .8rem;
    font-weight: bold;
    padding: 4px;
    margin: 0;
    opacity: 0;
    width: 100%;
    height: 100%;
}

.ancora{
    font-size: 1.4rem;
    padding: 8px;
}



.contato{
    height: 100vh;
    display: flex;
    flex-direction: row;
    background: var(--cor-primaria);
    animation: entradaSuave 4s ease-out forwards;
}

.bloco_contato{
    width: 100%;
    display: flex;
    padding-right: 8px;
    flex-direction: column;
    align-items: flex-end;
}

.contato_info, .contato_artista, .contato_galeria{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    padding-right: 18px;
    padding-top: 20px;
}
.contato_artista>p,.contato_galeria>p{
    margin-bottom:0;
}
.contato_artista, .contato_galeria{
    gap: 2px;
}

b{
    color: var(--cor-secundaria);
}

.link_galeria{
    color: var(--cor-terciária);
    text-align: right;
    font-size: 1.2rem;
}
.galeria_obra{
    display: flex;
    max-width: 100%;
    min-height: 100%;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.carrossel_imagens{
    max-width: 100%;
    min-height: 70%;
    display: flex;
    position: relative;
}

.involucro_imagens{
    overflow-x: auto;
}
.galeria_imagens{
    display: flex;
    flex-direction: column;
}
.galeria_imagens::-webkit-scrollbar{
    display: none;
}
.imagem_obra{
    display: flex;
    align-items: center;
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: none;
    display: block;
    justify-items: center;
    padding: 4px;
}
.imagem_obra {
    transition: opacity 0.3s ease-in-out;
    opacity: 1; /* Estado normal */
}

/* Classe que vamos adicionar temporariamente para o efeito de fade */
.imagem_obra.fade-out {
    opacity: 0;
}

/* Opcional: faça o mesmo com os textos da legenda para acompanhar */
.legenda_obra {
    transition: opacity 0.3s ease-in-out;
    opacity: 1;
}

.legenda_container.fade-out {
    opacity: 0;
}

.carrossel_legendas{
    min-width: 100%;
    padding: 8px;
    font-size: 0.8rem;
}
.legenda_obra{
    color: var(--cor-legenda);
    font: var(--tipografia-legenda);
    text-align: left;
    min-width: 100%;
    font-size: 0.8rem;
    line-height: 0.6;
    display: flex;
    flex-direction: column;
    padding: 12px;
}
.legenda_obra p:empty{
    display: none;
}
.legensa_obra:not(:has(> :not(:empty))){
    display: none;
}
strong{
    color: #47524D;
}
.legenda_titulo{
    font-weight: bold;
    font-style: italic;
}
.nav_miniaturas{
    position: relative;
    width: 90%;
}
.bt_esquerda,
.bt_direita{
    position: absolute;
    top: 0;
    right: auto;
    left: 0;
    bottom: 0;
    font-size: 20px;
    line-height: 40px;
    text-align: center;
    width: 4%;
    height: 100%;
    color: var(--cor-primaria);
    cursor: pointer;
    border: none;
    background: linear-gradient(to left, transparent 0%, var(--cor-realce) 2%);
    opacity: 0.001;
    transition: all 600ms ease-in-out;
    z-index: 1;
}
.bt_direita{
    right: 0;
    left: auto;
    background: linear-gradient(to right, transparent 0%, var(--cor-realce) 2%);
}


.involucro_miniaturas{
    overflow-x: auto;
    margin: 0 4%;
    scroll-snap-type: x mandatory;
}
.galeria_miniaturas{
    display: flex;
    flex-direction: row;
}
.item{
    max-width: 120px;
    padding: 4px;
    flex-shrink: 0;
    opacity: 0.4;
    margin: 0 auto;
    cursor: pointer;
    object-fit: cover;
    background-position: cover;
}
.item_atual{
    opacity: 1;
    scroll-snap-align: center;
}

@media (hover: hover) {
.header_s button:hover, .header_nav button:hover {
    color: var(--cor-realce);
    transform: scale(1.4);
    transform-origin: right;
}
.navega_menu > .nav_itens:hover{
transform-origin:bottom right;
}
    .ancora_texto:hover {
    color: var(--cor-realce);
    transform: scale(160%);
    text-align: center;
}
.ancora:hover{
    transform: scale(1.6);
}
.bt_fechar:hover {
    color: var(--cor-realce);
}
.icone_link:hover {
    filter: hue-rotate(90deg) saturate(600%);
    opacity: 80%;
    transform: scale(180%);
}

.nav_itens:hover {
    color: var(--cor-realce);
    border-bottom: groove 4px var(--cor-realce);
    transform: scale(120%);
    transform-origin: center;
    transition: 12ms;
    cursor: pointer;
}

.nav_itens.categoria:hover, .nav_itens.artista:hover{
    color: var(--cor-realce);
    border-bottom: groove 4px var(--cor-realce);
    transform: scale(120%);
    transform-origin: center;
    transition: 12ms;
    cursor: pointer;
    opacity: 80%;
}

.obra_card:hover{
    transform: scale(1.2);
    transition: 1.4ms;
    color: var(--cor-realce);
    z-index: 10;
}

.titulo_obra:hover{
    color: var(--cor-secundaria);
    opacity: 0.8;
    text-align: center;
    background: var(--cor-primaria);
    white-space: nowrap;
    max-width: 100%;
}
.link_galeria:hover{
    color: var(--cor-realce);
    text-align: right;
    font-size: 1.2rem;
}

.bt_esquerda:hover,
.bt_direita:hover{
    opacity: 1;
}

.oculto:hover{
    opacity: 0;
}
.relacionados .ancora_texto:hover {
    opacity: 100%;
}
}
/* responsividade */


}